<?php

function qsTcaColumnsImageFAL( $table )
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'quick_shop/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      $pathToIcon = 'selicons/';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      $pathToIcon = 'EXT:frontend/Resources/Public/Icons/ImageOrientation/';
      break;
  }

  $tcaColumnsImageFAL = array (
    'image' => array (
      'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.images',
      'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig( 'image', array (
        'appearance' => array (
          'createNewRelationLinkTitle' => 'LLL:EXT:' . $LL . ':images.addFileReference'
        ),
        // custom configuration for displaying fields in the overlay/reference table
        // to use the imageoverlayPalette instead of the basicoverlayPalette
        'foreign_types' => array (
          '0' => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.audioOverlayPalette;audioOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.videoOverlayPalette;videoOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          )
        )
        ,
        )
        , $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ] )
    ),
    'imagewidth' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':imagewidth',
      'config' => array (
        'type' => 'input',
        'size' => '5',
        'max' => '5',
        'eval' => 'trim',
        'range' => array (
          'upper' => 1999,
          'lower' => 0,
        ),
        'default' => 0
      )
    ),
    'imageheight' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':imageheight',
      'config' => array (
        'type' => 'input',
        'size' => '5',
        'max' => '5',
        'eval' => 'trim',
        'range' => array (
          'upper' => 1999,
          'lower' => 0,
        ),
        'default' => 0
      )
    ),
    'imageorient' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':imageorient',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.0',
            0,
            $pathToIcon . 'above_center.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.1',
            1,
            $pathToIcon . 'above_right.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.2',
            2,
            $pathToIcon . 'above_left.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.3',
            8,
            $pathToIcon . 'below_center.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.4',
            9,
            $pathToIcon . 'below_right.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.5',
            10,
            $pathToIcon . 'below_left.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.6',
            17,
            $pathToIcon . 'intext_right.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.7',
            18,
            $pathToIcon . 'intext_left.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.8',
            '--div--'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.9',
            25,
            $pathToIcon . 'intext_right_nowrap.gif'
          ),
          array (
            'LLL:EXT:' . $LL . ':imageorient.I.10',
            26,
            $pathToIcon . 'intext_left_nowrap.gif'
          )
        ),
        'selicon_cols' => 6,
        'default' => 0,
        'showIconTable' => true,
      )
    ),
    'imageborder' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':imageborder',
      'config' => array (
        'type' => 'check',
        'items' => array (
          '1' => array (
            '0' => 'LLL:EXT:lang/locallang_core.xlf:labels.enabled'
          )
        )
      )
    ),
    'image_zoom' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':image_zoom',
      'config' => array (
        'type' => 'check',
        'items' => array (
          '1' => array (
            '0' => 'LLL:EXT:lang/locallang_core.xlf:labels.enabled'
          )
        )
      )
    ),
    'imagecols' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:' . $LL . ':imagecols',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            '1',
            1
          ),
          array (
            '2',
            2
          ),
          array (
            '3',
            3
          ),
          array (
            '4',
            4
          ),
          array (
            '5',
            5
          ),
          array (
            '6',
            6
          ),
          array (
            '7',
            7
          ),
          array (
            '8',
            8
          )
        ),
        'default' => 2
      )
    ),
    'image_compression' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':image_compression',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            'LLL:EXT:lang/locallang_general.xlf:LGL.default_value',
            0
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.1',
            1
          ),
          array (
            'GIF/256',
            10
          ),
          array (
            'GIF/128',
            11
          ),
          array (
            'GIF/64',
            12
          ),
          array (
            'GIF/32',
            13
          ),
          array (
            'GIF/16',
            14
          ),
          array (
            'GIF/8',
            15
          ),
          array (
            'PNG',
            39
          ),
          array (
            'PNG/256',
            30
          ),
          array (
            'PNG/128',
            31
          ),
          array (
            'PNG/64',
            32
          ),
          array (
            'PNG/32',
            33
          ),
          array (
            'PNG/16',
            34
          ),
          array (
            'PNG/8',
            35
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.15',
            21
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.16',
            22
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.17',
            24
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.18',
            26
          ),
          array (
            'LLL:EXT:' . $LL . ':image_compression.I.19',
            28
          )
        )
      )
    ),
    'image_effects' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':image_effects',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.0',
            0
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.1',
            1
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.2',
            2
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.3',
            3
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.4',
            10
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.5',
            11
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.6',
            20
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.7',
            23
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.8',
            25
          ),
          array (
            'LLL:EXT:' . $LL . ':image_effects.I.9',
            26
          )
        )
      )
    ),
    'image_noRows' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':image_noRows',
      'config' => array (
        'type' => 'check',
        'items' => array (
          '1' => array (
            '0' => 'LLL:EXT:' . $LL . ':image_noRows.I.0'
          )
        )
      )
    ),
    'layout' => array (
      'exclude' => 1,
      'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.layout',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            'LLL:EXT:lang/locallang_general.xlf:LGL.default_value',
            '0'
          ),
          array (
            'LLL:EXT:' . $LL . ':layout.I.1',
            '1'
          ),
          array (
            'LLL:EXT:' . $LL . ':layout.I.2',
            '2'
          ),
          array (
            'LLL:EXT:' . $LL . ':layout.I.3',
            '3'
          )
        ),
        'default' => 0
      )
    ),
    'section_frame' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':section_frame',
      'config' => array (
        'type' => 'select',
        'renderType' => 'selectSingle',
        'items' => array (
          array (
            '',
            '0'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.1',
            '1'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.2',
            '5'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.3',
            '6'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.4',
            '10'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.5',
            '11'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.6',
            '12'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.7',
            '20'
          ),
          array (
            'LLL:EXT:' . $LL . ':section_frame.I.8',
            '21'
          )
        ),
        'default' => '0'
      )
    ),
    'spaceAfter' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':spaceAfter',
      'config' => array (
        'type' => 'input',
        'size' => '5',
        'max' => '5',
        'eval' => 'int',
        'range' => array (
          'lower' => '0'
        ),
        'default' => 0
      )
    ),
    'spaceBefore' => array (
      'exclude' => true,
      'label' => 'LLL:EXT:' . $LL . ':spaceBefore',
      'config' => array (
        'type' => 'input',
        'size' => '5',
        'max' => '5',
        'eval' => 'int',
        'range' => array (
          'lower' => '0'
        ),
        'default' => 0
      )
    ),
  );

  $tcaColumnsImageFALCat = array (
    'image' => array (
      'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.images',
      'config' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig( 'image', array (
        'appearance' => array (
          'createNewRelationLinkTitle' => 'LLL:EXT:' . $LL . ':images.addFileReference'
        ),
        // custom configuration for displaying fields in the overlay/reference table
        // to use the imageoverlayPalette instead of the basicoverlayPalette
        'foreign_types' => array (
          '0' => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.audioOverlayPalette;audioOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.videoOverlayPalette;videoOverlayPalette,
							--palette--;;filePalette'
          ),
          \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => array (
            'showitem' => '
							--palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
							--palette--;;filePalette'
          )
        )
        ,
        )
        , $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'GFX' ][ 'imagefile_ext' ] )
    ),
    'imagecaption' => array (
      'exclude' => 1,
      'l10n_mode' => 'prefixLangTitle',
      'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.imagecaption',
      'config' => array (
        'type' => 'text',
        'cols' => '30',
        'rows' => '5',
      ),
    ),
    'imageseo' => array (
      'exclude' => 1,
      'l10n_mode' => 'prefixLangTitle',
      'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.imageseo',
      'config' => array (
        'type' => 'text',
        'cols' => '30',
        'rows' => '5',
      ),
    ),
  );

  switch ( $table )
  {
    case('tx_quickshop_products'):
      $tcaColumnsImageFAL = $tcaColumnsImageFAL
        + array (
        'image_1stforlistonly' => array (
          'exclude' => 1,
          'l10n_mode' => 'exclude',
          'label' => 'LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.image_1stforlistonly',
          'config' => array (
            'type' => 'check'
          ),
        ),
      );
      return $tcaColumnsImageFAL;
    default:
      // do nothing
      return $tcaColumnsImageFAL;
  }
}

function qsTcaCtrlImageSearchFieldsFAL()
{
  return ''
    . 'image'
    . ',imagecaption'
    . ',imageseo'
    . ',imagewidth'
    . ',imageheight'
    . ',imageorient'
    . ',imagecaption'
    . ',imagecols'
    . ',imageborder'
    . ',imagecaption_position'
    . ',image_link'
    . ',image_zoom'
    . ',image_noRows'
    . ',image_effects'
    . ',image_compression'
    . ','
  ;
}

function qsTcaPalettesImageFAL()
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'quick_shop/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  $tcaPalettesImageFAL = array (
    // See: typo3/sysext/css_styled_content/Configuration/TCA/Overrides/tt_content.php
    'frames' => array (
      'showitem' => '
				layout;LLL:EXT:' . $LL . ':layout_formlabel,
				spaceBefore;LLL:EXT:' . $LL . ':spaceBefore_formlabel,
				spaceAfter;LLL:EXT:' . $LL . ':spaceAfter_formlabel,
				section_frame;LLL:EXT:' . $LL . ':section_frame_formlabel
			',
    ),
    // See: typo3/sysext/css_styled_content/Configuration/TCA/Overrides/tt_content.php
    'imageblock' => array (
      'showitem' => '
				imageorient;LLL:EXT:' . $LL . ':imageorient_formlabel,
				imagecols;LLL:EXT:' . $LL . ':imagecols_formlabel,
				--linebreak--,
				image_noRows;LLL:EXT:' . $LL . ':image_noRows_formlabel,
				imagecaption_position;LLL:EXT:' . $LL . ':imagecaption_position_formlabel
			',
    ),
    // See: typo3/sysext/frontend/Configuration/TCA/tt_content.php
    'imagelinks' => array (
      'showitem' => '
				image_zoom;LLL:EXT:' . $LL . ':image_zoom_formlabel
			',
    ),
    'image_1stforlistonly' => array (
      'showitem' => 'image_1stforlistonly;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xml:tca_phrase.image_1stforlistonly,',
      'canNotCollapse' => 1,
    ),
    // See: typo3/sysext/frontend/Configuration/TCA/tt_content.php
    'image_settings' => array (
      'showitem' => '
				imagewidth;LLL:EXT:' . $LL . ':imagewidth_formlabel,
        imageheight;LLL:EXT:' . $LL . ':imageheight_formlabel,
        imageborder;LLL:EXT:' . $LL . ':imageborder_formlabel,
        --linebreak--,
        image_compression;LLL:EXT:' . $LL . ':image_compression_formlabel,
        image_effects;LLL:EXT:' . $LL . ':image_effects_formlabel,
			',
    ),
  );

  return $tcaPalettesImageFAL;
}

function qsTcaTypesImageFAL( $case = 'big' )
{
  switch ( TRUE )
  {
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    < 7000000 ):
      $LL = 'quick_shop/Resources/Private/Language/6x/cms/locallang_ttc.xlf';
      break;
    case ( TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger( TYPO3_version )
    >= 7000000 ):
    default:
      $LL = 'frontend/Resources/Private/Language/locallang_ttc.xlf';
      break;
  }

  switch ( $case )
  {
    case('small'):
      $tcaTypesImageFAL = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,image,'
      ;
      break;
    case('medium'):
      $tcaTypesImageFAL = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,image,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.image_settings;image_settings,'
      ;
      break;
    case('big'):
    default:
      $tcaTypesImageFAL = ''
        . '--div--;LLL:EXT:' . $LL . ':tabs.images,image,'
        . '  --palette--;LLL:EXT:quick_shop/Resources/Private/Language/tx_quickshop.xmlpalette.image_1stforlistonly;image_1stforlistonly,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.imagelinks;imagelinks,'
        . '--div--;LLL:EXT:' . $LL . ':tabs.appearance,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.frames;frames,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.image_settings;image_settings,'
        . '  --palette--;LLL:EXT:' . $LL . ':palette.imageblock;imageblock,'
      ;
      break;
  }

  return $tcaTypesImageFAL;
}
