<?php

if( !defined( 'TYPO3_MODE' ) )
{
  die( 'Access denied.' );
}

/* * ****************************************************************************
 * Index
 * 
 * Get extension configuration
 * Add static template
 * Register Icons
 * Add default page and user TSconfig
 * 
 * **************************************************************************** */

/* * ****************************************************************************
 * Get extension configuration
 * **************************************************************************** */
require_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath( $_EXTKEY ) . 'Resources/Private/Lib/userfunc/class.tx_quickshop_userfunc.php' );

$confArr = unserialize( $GLOBALS[ 'TYPO3_CONF_VARS' ][ 'EXT' ][ 'extConf' ][ 'quick_shop' ] );
if( empty( $confArr[ 'tcaProductOrdering' ] ) )
{
  $TCA[ 'tx_quickshop_categories' ][ 'ctrl' ][ 'default_sortby' ] = 'ORDER BY title';
}
else
{
  $TCA[ 'tx_quickshop_products' ][ 'ctrl' ][ 'sortby' ] = 'sorting';
}
if( !empty( $confArr[ 'products_on_standardpages' ] ) )
{
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_categories' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_dimension' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_group' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_material' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_products' );
  \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages( 'tx_quickshop_shippingcosts' );
}

/* * ****************************************************************************
 * Add static template
 * **************************************************************************** */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/62037/', 'Quick Shop [1] Basis' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Caddy/', 'Quick Shop [2] + Caddy' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Caddy/Variants/', 'Quick Shop [2.1] + Caddy Variants' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Caddy/ShippingDhlPackage/', 'Quick Shop [2.2] + Caddy shipping DHL Package in Germany' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Slick/', 'Quick Shop [3] + Slick' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Slick/', 'Quick Shop [7] + Properties ch (Switzerland)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Slick/', 'Quick Shop [7] + Properties de (Germany)' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Startcustomer/Demo/', 'Quick Shop [10] + Startcustomer Demo' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Imagecycle/', 'Quick Shop [90] + ImageCycle: no conflict' );

/* * ****************************************************************************
 * Register Icons
 * **************************************************************************** */

$TCA[ 'pages' ][ 'columns' ][ 'module' ][ 'config' ][ 'items' ][] = array( 'Quick Shop', 'quickshop', \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.svg' );
\TYPO3\CMS\Backend\Sprite\SpriteManager::addTcaTypeIcon( 'pages', 'contains-quickshop', '../typo3conf/ext/quick_shop/ext_icon.svg' );

/* * ****************************************************************************
 * Add default page and user TSconfig
 * **************************************************************************** */

require_once( PATH_typo3conf . 'ext/quick_shop/Configuration/PageTS/TxLinkhandler/Default/tx_quickshop_products.php' );